﻿* Encoding: UTF-8.
*  Polyseriale und polychorische Korrelationen.
*Daten generieren (wahre Korrelation: 0,5).
set seed = 13.
input program.
+ loop #i = 1 to 500.
     compute X = normal(1).
     compute Y = 0.5*X + normal(0.866).
-  end case.
+ end loop.
+ end file.
end input program.

CORRELATIONS X WITH Y.

GRAPH
  /SCATTERPLOT(BIVAR)=X WITH Y
  /MISSING=LISTWISE.

RECODE X (LO THRU -1 = 1) (-1 THRU 1 = 2) (ELSE = 3) INTO X3.
RECODE Y (LO THRU 0 = 1) (0 THRU 2 = 2) (ELSE = 3) INTO Y3.
VARIABLE LEVEL  X3, Y3 (ORDINAL).

CORRELATIONS X  TO Y3 .

SPSSINC HETCOR X3 Y3
  /OPTIONS ESTIMATOR=TWOSTEP STDERR=TRUE 
  MISSING=PAIRWISE N=TRUE TYPE=TRUE
  /SAVE.

SPSSINC HETCOR X Y3 
  /OPTIONS ESTIMATOR=TWOSTEP STDERR=TRUE 
  MISSING=PAIRWISE N=TRUE TYPE=TRUE
  /SAVE.
