﻿* Encoding: UTF-8.
set seed = 12.
input program.
loop #i = 1 to 7000.
   compute x = normal(1).
   compute y = 0.5* x + normal(1).
   end case.
end loop.
end file.
end input program.

* Sehr kleine Punkte.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=x y MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: x=col(source(s), name("x"))
  DATA: y=col(source(s), name("y"))
  SCALE: linear(dim( 1 ), min(-3), max(3))
  GUIDE: axis(dim(1), label("x"))
  GUIDE: axis(dim(2), label("y"))
  ELEMENT: point(position(x*y),size(size."1"))
END GPL.

BEGIN PROGRAM R.
png("u:/eigene dateien/r/smooth.png", 15, 15, units="cm", res=600)
data <- spssdata.GetDataFromSPSS()
smoothScatter(data$x, data$y, xlim=c(-3, 3), main="Smooth-Scatter", xlab="x", ylab="x")
END PROGRAM.

* Hexagonale Gruppierung.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=x y MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: x=col(source(s), name("x"))
  DATA: y=col(source(s), name("y"))
  SCALE: linear(dim( 1 ), min(-3), max(3))
  GUIDE: axis(dim(1), label("x"))
  GUIDE: axis(dim(2), label("y"))
  ELEMENT: polygon(position(bin.hex(x*y, dim(1,2))), color(summary.count()))
END GPL.


