library(ggplot2)

n <- 200
set.seed(18)
x <- round(runif(n, 1, 5), digits=0)
e <- round(rnorm(n, 0, 2), digits=0)
y <- 0.6*x + e
df <- data.frame(x,y)

graphics.off()
windows(record=TRUE)
ggplot(df, aes(x, y)) + geom_point(colour="red")
ggplot(df, aes(x, y)) + geom_point(colour="red") + geom_smooth()

ggplot(df, aes(x, y)) + geom_point(colour="red", position = position_jitter(width=0, height=0.5))
ggplot(df, aes(x, y)) + geom_point(colour="red", position = position_jitter(width=0, height=0.5)) + geom_smooth()

ggplot(df, aes(x, y)) + geom_point(colour="red", position = position_jitter(width=0.5, height=0.5))
ggplot(df, aes(x, y)) + geom_point(colour="red", position = position_jitter(width=0.5, height=0.5)) + geom_smooth()