﻿* Encoding: UTF-8.
*Daten generieren.
set seed = 13.
input program.
+ loop #i = 1 to 100.
     compute x = uniform(1).
     compute y = 2*x + normal(1+x).
-  end case.
+ end loop.
+ end file.
end input program.

GRAPH
  /SCATTERPLOT(BIVAR)=x WITH y
  /MISSING=LISTWISE.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT y
  /METHOD=ENTER x
  /SCATTERPLOT=(*ZRESID ,*ZPRED).

SPSSINC BREUSCH PAGAN DEPENDENT = y
  ENTER = x
  /OPTIONS MISSING=LISTWISE 
  /SAVE.

* Run R lm and ncvTest procedures for Breusch-Pagan heteroscedasticity test.
BEGIN PROGRAM R.
library(car)
casedata <- spssdata.GetDataFromSPSS()
reslm <- lm(y ~ x, data=casedata)
summary(reslm)
ncvTest(lm(y ~ x, data=casedata))
END PROGRAM.

