DATA LIST FREE /age (F4) income (F8.2) car (F8.2) employ (F4).
BEGIN DATA.
55 72  36,20 23
56 153 76,90 35
28 28  13,70 4
END DATA.

* Alle Variablen bergeben.
BEGIN PROGRAM R.
casedata <-spssdata.GetDataFromSPSS()
print(casedata)
END PROGRAM.

* Ausgewhlte Variablen bergeben.
BEGIN PROGRAM R.
casedata <- spssdata.GetDataFromSPSS(variables=c("age","income"))
print(casedata)
END PROGRAM.

* Variable in einem R - Data Frame ansprechen.
BEGIN PROGRAM R.
age=casedata$age
print(age)
END PROGRAM.

* Data Frame (oder sonstiges R-Objekt) lschen.
BEGIN PROGRAM R.
rm(casedata)
END PROGRAM.

DATA LIST FREE /y (F2) gruppe (F2) stufe (F2).
BEGIN DATA.
8  1  1
7  1  1
3  2  2
1  2  3
END DATA.
VARIABLE LEVEL y (SCALE) /gruppe (NOMINAL) /stufe(ORDINAL).
VALUE LABELS gruppe 1 'Jung' 2 'Alt' /stufe 1 'A' 2 'B' 3 'C'. 

* Kategoriale Variable an R als Faktor bergeben.
BEGIN PROGRAM R.
casedata <- spssdata.GetDataFromSPSS(factorMode="labels")
class(casedata$gruppe); class(casedata$stufe)
str(casedata$gruppe)
END PROGRAM.

* MD-Indikatoren bei num. und alpanum. Var.
DATA LIST LIST (',')  /numvar (F2) strvar (A1).
BEGIN DATA.
9,A
7,M
,B
END DATA.
MISSING VALUES numvar (9)  /strvar ('M').

BEGIN PROGRAM R.
casedata <- spssdata.GetDataFromSPSS(missingValueToNA=TRUE)
print(casedata)
END PROGRAM.





